#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include <QtWidgets>

#include <QCamera>
#include <QCameraViewfinder>
#include <QCameraImageCapture>
#include <QMediaRecorder>

class MainWindow : public QMainWindow
{
    Q_OBJECT
private:
    QCamera *camera;
    QCameraInfo *cameraInfo;
    QCameraViewfinder *viewfinder;
    QCameraImageCapture *captureImage;
    QMediaRecorder *captureVideo;
    bool enregistre;

public:
    MainWindow(QWidget *parent = 0);
    ~MainWindow();

public slots:
    void etatCamera(QCamera::State etat);
    void statusCamera(QCamera::Status etat);
    void etatCaptureVideo(QMediaRecorder::State etat);
    void afficherTempsEnregistrement(qint64 temps);
    void enregistrerImage();
    void enregistrerVideo();
    void estPretCaptureImage(bool pret);
    void imageCaptured(int id, QImage image);
    void imageSauvegardee(int id, QString nomFichier);
    void selectionnerCapture(int index);
};

#endif // MAINWINDOW_H
